Page MenuHomePhabricator

Change source file extension from .c to .cpp.
ClosedPublic

Authored by hbae on Nov 15 2016, 11:54 AM.

Details

Summary

This change set renames source files from *.c to *.cpp.
CMakeLists.txt and the comments in the source code were also modified accordingly.
Files under runtime/src/thirdparty and runtime/src/test-touch.c keep their names unchanged.

Diff Detail

Repository
rL LLVM

Event Timeline

hbae updated this revision to Diff 78043.Nov 15 2016, 11:54 AM
hbae retitled this revision from to Change source file extension from .c to .cpp..
hbae updated this object.
hbae set the repository for this revision to rL LLVM.
hbae added a subscriber: openmp-commits.
hbae updated this revision to Diff 78875.Nov 22 2016, 7:55 AM

Merged r287644.

tlwilmar accepted this revision.Nov 30 2016, 11:12 AM
tlwilmar edited edge metadata.

LGTM

This revision is now accepted and ready to land.Nov 30 2016, 11:12 AM
hbae updated this revision to Diff 81435.Dec 14 2016, 12:23 PM
hbae edited edge metadata.

Merged the latest change set, r289640.

This revision was automatically updated to reflect the committed changes.